Skip to Content

Give the API key making the request a new secret

POST /api/admin/api-keys/current/rotate

Operation ID: rotateCurrentApiKey.

API authentication and error conventions.

Authentication

Meet one of these alternatives; schemes within each alternative are required together.

  1. bearerAuth

Parameters

No path, query, header or cookie parameters are declared.

Request body

Required: Yes.

application/json

Give the API key making the request a new secret request (application/json) schema. Source for this occurrence.

Responses

Only the response statuses declared by the specification are listed below.

200

Successful response

application/json

Give the API key making the request a new secret response 200 (application/json) schema. Source for this occurrence.

Last updated on